%?mingw_package_header

Name:           mingw-wine-gecko
Version:        1.5
Release:        2%{?dist}
Summary:        Gecko library required for Wine

License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Development/Libraries
URL:            http://wiki.winehq.org/Gecko
Source0:        http://downloads.sourceforge.net/wine/wine-mozilla-%{version}-src.tar.bz2
Patch0:         mingw-wine-gecko-mozconfig.patch

BuildArch:      noarch

# 64
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-headers
BuildRequires:  mingw64-cpp
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-crt
# 32
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-headers
BuildRequires:  mingw32-cpp
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-crt

BuildRequires:  autoconf213
BuildRequires:  pkgconfig
BuildRequires:  yasm
BuildRequires:  zip
BuildRequires:  wine-core(x86-32) wine-wow(x86-32)
BuildRequires:  wine-devel

%description
Windows Gecko library required for Wine.

%package -n mingw32-wine-gecko
Summary:       Gecko library for 32bit wine
Requires:      wine-common

%description -n mingw32-wine-gecko
Windows Gecko library required for Wine.

%package -n mingw64-wine-gecko
Summary:       Gecko library for 64bit wine
Requires:      wine-common

%description -n mingw64-wine-gecko
Windows Gecko library required for Wine.


%prep
%setup -q -c

cd wine-mozilla-%{version}
%patch0 -p1 -b.mozconfig

# fix nsprpub cross compile detection
sed -i 's,cross_compiling=.*$,cross_compiling=yes,' nsprpub/configure

# include missing propvarutil.h from wine
ln -s %{_includedir}/wine/windows/propvarutil.h widget/src/windows

%build
cd wine-mozilla-%{version}

# setup build options...
echo "mk_add_options MOZ_MAKE_FLAGS=%{_smp_mflags}" >> wine/mozconfig-common

cp wine/mozconfig-common wine/mozconfig-common.build

echo "export CFLAGS=\"-DWINE_GECKO_SRC\"" >> wine/mozconfig-common
echo "export CXXFLAGS=\"\$CFLAGS -fpermissive\"" >> wine/mozconfig-common

# ... and build
./wine/make_package --msi-package -win32

./wine/make_package --msi-package -win64

%install
mkdir -p %{buildroot}%{_datadir}/wine/gecko
install -p -m 0644 wine_gecko-%{version}-x86/dist/wine_gecko-%{version}-x86.msi \
   %{buildroot}%{_datadir}/wine/gecko/wine_gecko-%{version}-x86.msi
install -p -m 0644 wine_gecko-%{version}-x86_64/dist/wine_gecko-%{version}-x86_64.msi \
   %{buildroot}%{_datadir}/wine/gecko/wine_gecko-%{version}-x86_64.msi

%files -n mingw32-wine-gecko
%doc wine-mozilla-%{version}/LEGAL
%doc wine-mozilla-%{version}/LICENSE
%doc wine-mozilla-%{version}/README.txt
%{_datadir}/wine/gecko/wine_gecko-%{version}-x86.msi

%files -n mingw64-wine-gecko
%doc wine-mozilla-%{version}/LEGAL
%doc wine-mozilla-%{version}/LICENSE
%doc wine-mozilla-%{version}/README.txt
%{_datadir}/wine/gecko/wine_gecko-%{version}-x86_64.msi

%changelog
* Wed Mar 21 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5.0-2
- further spec cleanup

* Mon Mar 19 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5.0-1
- version upgrade
- spec cleanup

* Tue Jun 21 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.2.0-3
- add suggestions from #577951c21

* Mon Jun 20 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.2.0-2
- rework to mingw framework

* Fri Mar 25 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.2.0-1
- version upgrade
- switch to cross framework

* Mon Mar 29 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.0.0-3
- adjust path for latest wine
- requires wine-common for /usr/share/wine

* Tue Nov 24 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.0.0-2
- include version in install dir

* Tue Nov 17 2009 Erik van Pienbroek <epienbro@fedoraproject.org>
- 1.0.0-1
- Initial release
